Bug 1730614 - Failed to display the tray icons with libappindicator
Summary: Failed to display the tray icons with libappindicator
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libappindicator
Version: 8.4
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Eike Rathke
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 08:15 UTC by Wu Bei
Modified: 2019-07-26 08:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 08:05:23 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
example python code for libappindicator-gtk3 (873 bytes, text/x-python)
2019-07-17 08:15 UTC, Wu Bei
no flags Details
The result on RHEL 7.6 (30.39 KB, image/png)
2019-07-17 08:17 UTC, Wu Bei
no flags Details

Description Wu Bei 2019-07-17 08:15:39 UTC
Created attachment 1591338 [details]
example python code for libappindicator-gtk3

Description of problem:
I can display my tray icon with libappindicator-gtk3 on RHEL 7.6. But no RHEL 8, I found it failed with the same codes.

Version-Release number of selected component (if applicable):
RHEL 8: Linux rhel8 4.18.0-80.el8.x86_64 #1 SMP Wed Mar 13 12:02:46 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
libappindicator-gtk3: libappindicator-12.10.0-19.el8.src.rpm (from repo: rhel-8-for-x86_64-appstream-rpms)

How reproducible:
Run the example python code for libappindicator-gtk3.

Steps to Reproduce:
1.yum install -y libappindicator-gtk3
2.run the attachment in desktop, for example:
[beiw@rhel76 ~]$ python3 appIndicatorTest.py

Actual results:
No new icon in the system tray

Expected results:
A new icon in the system tray

Additional info:

Comment 1 Wu Bei 2019-07-17 08:17:31 UTC
Created attachment 1591339 [details]
The result on RHEL 7.6

Comment 2 Eike Rathke 2019-07-18 21:59:27 UTC
Fwiw, the same (not working) on Fedora 29.

Comment 3 Wu Bei 2019-07-22 02:10:57 UTC
Then, is libappindicator-gtk3 not supported on RHEL8? How can I create a tray icon? Thanks a lot.

Comment 4 Eike Rathke 2019-07-22 09:59:58 UTC
This GNOME extension may be of help:
https://extensions.gnome.org/extension/615/appindicator-support/

Comment 5 Wu Bei 2019-07-25 07:43:18 UTC
Thank you very much for your info. I checked the gnome-shell-extension you attached. It used libappindicator too. I can't see the tray icon with it too.

Comment 6 Wu Bei 2019-07-25 10:02:13 UTC
Sorry, I found I misunderstood your meaning. With this gnome shell extension, libappindicator can be used now. Thanks a lot.

Comment 7 Wu Bei 2019-07-26 01:22:03 UTC
Now I can display the tray icons with libappindicator. You can close this bug. Thank you very much.


Note You need to log in before you can comment on or make changes to this bug.